package org.sky.scientific.pojo.vo;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class DailyAttendance {

	@Schema(hidden = true)
	@JsonIgnore
	private String unicode;
	private String workDate;        // 日期(如"20250506")
	private Double workHours;

	public DailyAttendance() {

	}

	public DailyAttendance(String workDate, Double workHours) {
		this.workDate = workDate;
		this.workHours = workHours;
	}
	@Override
	public String toString() {
		return "DailyAttendance{" +
			"workDate='" + workDate + '\'' +
			", workHours=" + workHours +
			'}';
	}
}
